@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  /* ## Colors

### Primary */

  --red: hsl(4, 100%, 67%);

  /* ### Neutral */

  --blue-800: hsl(234, 29%, 20%);
  --blue-700: hsl(235, 18%, 26%);
  --grey: hsl(0, 0%, 58%);
  --white: hsl(0, 0%, 100%);
}

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

body {
  background-color: var(--blue-700);
  font-family: "Roboto", sans-serif;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 23.438rem;
  height: 100%;
  background-color: var(--white);
}

.ilustration {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.content {
  padding: 2.5rem 1.5rem 2rem 1.5rem;
  width: 100%;
}

.info {
  width: 100%;
  padding: 0 1.5rem;
}

h1 {
  color: var(--blue-800);
  font-size: 2.5rem;
}

p {
  padding: 1.5rem 0;
  color: var(--blue-800);
  font-size: 1rem;
  line-height: 150%;
}

ul {
  list-style: none;
  gap: 0.5rem;
  color: var(--blue-800);
  font-size: 1rem;
}

li {
  display: flex;
  align-items: flex-start;
  gap: 0.5rem;
  margin-bottom: 0.5rem;
}

li span {
  line-height: 150%;
}

.label-message {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.form-label {
  font-size: 0.75rem;
  font-weight: bold;
  color: var(--blue-800);
}

#email {
  width: 100%;
  margin-top: 0.5rem;
  padding: 1rem 1.5rem;
  border-radius: 0.5rem;
  border: 1px solid var(--grey);
  font-size: 1rem;
}

#btn-subscribe {
  width: 100%;
  margin: 1.5rem 0;
  padding: 1rem 1.5rem;
  border-radius: 0.5rem;
  border: none;
  background-color: var(--blue-800);
  color: var(--white);
  font-size: 1rem;
  font-weight: bold;
  cursor: pointer;
}

@media screen and (min-width: 40rem) {
  .card {
    min-width: 38rem;
    height: 54.875rem;
    padding: 2.5rem;
    justify-content: normal;
    border-radius: 2.25rem;
  }
}

@media screen and (min-width: 75rem) {
  .card {
    flex-direction: row;
    width: 56.5rem;
    height: 40.063rem;
    padding: 2rem;
    justify-content: space-between;
  }

  .cont-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    width: 23.5rem;
    gap: 1.5rem;
  }

  .ilustration {
    order: 1;
    width: 50%;
  }

  .content {
    padding: 0;
  }

  .info {
    padding: 0;
  }
}
